import { world, Vector } from "@minecraft/server";

world.afterEvents.entityHurt.subscribe(async data => {
    let entity = data.hurtEntity
    let tdmg = Math.trunc(data.damage)
    let sc = entity.getComponent("minecraft:scale")
    let loc;
    if (Math.floor(Math.random() * 1) == 1) {
        loc = new Vector(entity.location.x+Math.floor(Math.random() * 3), entity.location.y+1, entity.location.z+Math.floor(Math.random() * 3))
    }else{
        loc = new Vector(entity.location.x-Math.floor(Math.random() * 3), entity.location.y+1, entity.location.z-Math.floor(Math.random() * 3))
    }
   
    if (tdmg <= 50) {
     
    entity.dimension.spawnParticle(`blayy:dmg${tdmg}`, loc)
    }else if (tdmg >= 60 && tdmg < 70) {
        entity.dimension.spawnParticle(`blayy:dmg60`, loc)
    }else if (tdmg >= 70 && tdmg < 80) {
        entity.dimension.spawnParticle(`blayy:dmg70`, loc)
    }else if (tdmg >= 80 && tdmg < 90) {
        entity.dimension.spawnParticle(`blayy:dmg80`, loc)
    }else if (tdmg >= 90 && tdmg < 100) {
        entity.dimension.spawnParticle(`blayy:dmg90`, loc)
    }else if (tdmg >= 100 && tdmg < 200) {
        entity.dimension.spawnParticle(`blayy:dmg100`, loc)
    }else if (tdmg >= 200 && tdmg < 300) {
        entity.dimension.spawnParticle(`blayy:dmg200`, loc)
    }else if (tdmg >= 300 && tdmg < 400) {
        entity.dimension.spawnParticle(`blayy:dmg300`, loc)
    }else if (tdmg >= 400 && tdmg < 500) {
        entity.dimension.spawnParticle(`blayy:dmg400`, loc)
    }else if (tdmg >= 500) {
        entity.dimension.spawnParticle(`blayy:dmg500`, loc)
    }
    
    })